Package com.ocient.jdbc

# Class XGConnectionInfo.Builder

java.lang.Object
com.ocient.jdbc.XGConnectionInfo.Builder

Enclosing class:
  `XGConnectionInfo`

public static class XGConnectionInfo.Builder extends Object

## Constructor Summary

Constructors
Constructor
Description
`Builder()`
`Builder(XGConnectionInfo existing)`

## Method Summary

Modifier and Type
Method
Description
`XGConnectionInfo`
`build()`
`XGConnectionInfo.Builder`
`setDatabase(String database)`
`XGConnectionInfo.Builder`
`setHint(XGConnectionInfo.Hint hint)`
`XGConnectionInfo.Builder`
`setHint_bypassLoadBalancer(boolean hint_bypassLoadBalancer)`
`XGConnectionInfo.Builder`
`setHint_bypassLoadBalancerOnHandshakeOnly(boolean hint_bypassLoadBalancerOnHandshakeOnly)`
`XGConnectionInfo.Builder`
`setHint_bypassPropertyValidation(boolean hint_bypassPropertyValidation)`
`XGConnectionInfo.Builder`
`setHint_bypassUpdateServerVersion(boolean hint_bypassUpdateServerVersion)`
`XGConnectionInfo.Builder`
`setHint_isRedirect(boolean hint_isRedirect)`
`XGConnectionInfo.Builder`
`setHint_properties(CaselessProperties hint_properties)`
`XGConnectionInfo.Builder`
`setHint_secondaryInterfaces(List<XGConnection.RemoteNode> hint_secondaryInterfaces)`
`XGConnectionInfo.Builder`
`setHint_session(XGConnection.Session hint_session)`
`XGConnectionInfo.Builder`
`setHint_timeoutMillis(long hint_timeoutMillis)`
`XGConnectionInfo.Builder`
`setHint_url(String hint_url)`
`XGConnectionInfo.Builder`
`setIdentityProvider(String idp)`
`XGConnectionInfo.Builder`
`setIp(String ip)`
`XGConnectionInfo.Builder`
`setPortNum(int portNum)`
`XGConnectionInfo.Builder`
`setProtocolVersion(String protocolVersion)`
`XGConnectionInfo.Builder`
`setPwd(String pwd)`
`XGConnectionInfo.Builder`
`setRequiredProperties(XGConnectionInfo.Hint hint, String user, String pwd, String ip, int portNum, String hint_url, String database, String protocolVersion, XGConnection.Tls tls, String identityProvider, CaselessProperties hint_properties)`
`XGConnectionInfo.Builder`
`setTls(XGConnection.Tls tls)`
`XGConnectionInfo.Builder`
`setUser(String user)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Builder

public Builder()

### Builder

public Builder(XGConnectionInfo existing)

## Method Details

### setRequiredProperties

public XGConnectionInfo.Builder setRequiredProperties(XGConnectionInfo.Hint hint, String user, String pwd, String ip, int portNum, String hint_url, String database, String protocolVersion, XGConnection.Tls tls, String identityProvider, CaselessProperties hint_properties)

### setUser

public XGConnectionInfo.Builder setUser(String user)

### setPwd

public XGConnectionInfo.Builder setPwd(String pwd)

### setIp

public XGConnectionInfo.Builder setIp(String ip)

### setPortNum

public XGConnectionInfo.Builder setPortNum(int portNum)

### setDatabase

public XGConnectionInfo.Builder setDatabase(String database)

### setProtocolVersion

public XGConnectionInfo.Builder setProtocolVersion(String protocolVersion)

### setTls

public XGConnectionInfo.Builder setTls(XGConnection.Tls tls)

### setIdentityProvider

public XGConnectionInfo.Builder setIdentityProvider(String idp)

### setHint

public XGConnectionInfo.Builder setHint(XGConnectionInfo.Hint hint)

### setHint_url

public XGConnectionInfo.Builder setHint_url(String hint_url)

### setHint_bypassLoadBalancer

public XGConnectionInfo.Builder setHint_bypassLoadBalancer(boolean hint_bypassLoadBalancer)

### setHint_bypassLoadBalancerOnHandshakeOnly

public XGConnectionInfo.Builder setHint_bypassLoadBalancerOnHandshakeOnly(boolean hint_bypassLoadBalancerOnHandshakeOnly)

### setHint_bypassPropertyValidation

public XGConnectionInfo.Builder setHint_bypassPropertyValidation(boolean hint_bypassPropertyValidation)

### setHint_bypassUpdateServerVersion

public XGConnectionInfo.Builder setHint_bypassUpdateServerVersion(boolean hint_bypassUpdateServerVersion)

### setHint_isRedirect

public XGConnectionInfo.Builder setHint_isRedirect(boolean hint_isRedirect)

### setHint_timeoutMillis

public XGConnectionInfo.Builder setHint_timeoutMillis(long hint_timeoutMillis)

### setHint_properties

public XGConnectionInfo.Builder setHint_properties(CaselessProperties hint_properties)

### setHint_session

public XGConnectionInfo.Builder setHint_session(XGConnection.Session hint_session)

### setHint_secondaryInterfaces

public XGConnectionInfo.Builder setHint_secondaryInterfaces(List<XGConnection.RemoteNode> hint_secondaryInterfaces)

### build

public XGConnectionInfo build()